List all client types for an OAuth2.0 Identity Provider
List all client types for an OAuth2.0 provider
Query Parameters
Response
OK
The OAuth 2.0 grant types the client is permitted to use, determining how it obtains access tokens from the authorization server. Format as CSV and Specify at least one.
authorization_code, pkce, client_credentials, device_code, refresh_token, password, implicit "authorization_code,refresh_token,password"
The authentication method a client can use at the token endpoint, ensuring secure communication with the authorization server during the OAuth 2.0 authentication.
client_secret_basic, client_secret_post "client_secret_basic"
"client_secret_post"
Dictates how an application will authenticate and interact with Okta's authorization servers, including whether it operates as a web, native, single-page, or service application. This setting is required to register Okta Identity Providers and not required for other Identity Provider. Please note that Okta overwrites values of the TokenEndpointAuthMethod, GrantType, and ResponseTypes properties and fills them based on the value of the OktaAppType property.
web, native, browser, service "web"
"native"
"browser"
"service"